// file: $isip/class/mmedia/TranscriptionDatabase/trans_00.cc
// version: $Id: trans_00.cc 8595 2002-08-14 22:48:07Z gao $
//

// isip include files
//
#include "TranscriptionDatabase.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the AnnotationIndex class
//
TranscriptionDatabase::TranscriptionDatabase() {

  // set the allocation mode for the member data
  //
}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String TranscriptionDatabase::CLASS_NAME(L"TranscriptionDatabase");
const String TranscriptionDatabase::DEF_PARAM(L"");
const String TranscriptionDatabase::PARAM_KEYS(L"keys");
const String TranscriptionDatabase::PARAM_NAME(L"name");
const String TranscriptionDatabase::PARAM_VALUES(L"values");

// initialize static data members
//
Integral::DEBUG TranscriptionDatabase::debug_level_d = Integral::NONE;
MemoryManager TranscriptionDatabase::mgr_d(sizeof(TranscriptionDatabase));
